Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.exceptions
Class UnsupportedPdfException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.lowagie.text.exceptions.InvalidPdfException
                      com.lowagie.text.exceptions.UnsupportedPdfException

All Implemented Interfaces:
  java.io.Serializable

    public class UnsupportedPdfException

extends InvalidPdfException

Typed exception used when opening an existing PDF document. Gets thrown when the document isn't a valid PDF document according to iText, but it's different from the InvalidPdfException in the sense that it may be an iText limitation (most of the times it isn't but you might have bumped into something that has been added to the PDF specs, but that isn't supported in iText yet).

Since:
  2.1.5
See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID` a serial version UID

Constructor Summary
`UnsupportedPdfException(java.lang.String message)` Creates an instance of an UnsupportedPdfException.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  a serial version UID

  See Also:
    Constant Field Values

Constructor Detail

### UnsupportedPdfException

    public UnsupportedPdfException(java.lang.String message)

  Creates an instance of an UnsupportedPdfException.

  Parameters:
    `message` - the reason why the document isn't a PDF document according to iText.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD